import { createRoot } from "react-dom/client";
import App from "./App";
import "./index.css";

// Clear expired authentication token on app start
const clearExpiredToken = () => {
  const token = localStorage.getItem('auth_token');
  if (token) {
    try {
      const payload = JSON.parse(atob(token.split('.')[1]));
      const currentTime = Date.now() / 1000;
      if (payload.exp && payload.exp < currentTime) {
        localStorage.removeItem('auth_token');
        console.log('Expired authentication token cleared');
      }
    } catch (error) {
      // Invalid token format, remove it
      localStorage.removeItem('auth_token');
      console.log('Invalid authentication token cleared');
    }
  }
};

clearExpiredToken();

createRoot(document.getElementById("root")!).render(<App />);
